set echo on
* ------------------------------------------------------------------
*
*  This makefile will build ASM XCMDs for HyperTalk
*
*  Copyright Apple Computer, Inc.  1991
*  All Rights Reserved.
*

*  Builds:  ABeep

*  This makefile depends on a .r file called ABeep.r to act
*  as a source for the resource compiler.

compile +t +e ABeep.asm keep=ABeep

linkiigs -x -lseg main ABeep.root -o ABeep.omf

compile ABeep.r keep=ABeep.rsrc

* now use your favorite resource utility to copy the XCMD from ABeep.rsrc
* into your stack
